% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/map_layout_configurations.R
\name{configuration_layouts}
\alias{configuration_layouts}
\alias{layout_tbl_graph_triad}
\alias{layout_tbl_graph_quad}
\title{Layout algorithms based on configurational positions}
\usage{
layout_tbl_graph_triad(.data, circular = FALSE, times = 1000)

layout_tbl_graph_quad(.data, circular = FALSE, times = 1000)
}
\arguments{
\item{.data}{An object of a \code{{manynet}}-consistent class:
\itemize{
\item matrix (adjacency or incidence) from \code{{base}} R
\item edgelist, a data frame from \code{{base}} R or tibble from \code{{tibble}}
\item igraph, from the \code{{igraph}} package
\item network, from the \code{{network}} package
\item tbl_graph, from the \code{{tidygraph}} package
}}

\item{circular}{Should the layout be transformed into a radial representation.
Only possible for some layouts. Defaults to FALSE.}

\item{times}{Maximum number of iterations, where appropriate}
}
\description{
Layout algorithms based on configurational positions
}
\seealso{
Other mapping: 
\code{\link{attributes}()},
\code{\link{autographing}},
\code{\link{is}()},
\code{\link{partition_layouts}},
\code{\link{properties}}
}
\concept{mapping}
